import { FunctionComponent, useContext } from 'react'
import AdminSideBar from './AdminSideBar'
import { UserContext } from '../../user/hooks'
import { LoginPage } from '../../user'
import { Meta, Header, Footer } from '..'
import GlobalStyle from '../../styles/global'

const AdminPage: FunctionComponent = ({ children }) => {
  const { user } = useContext(UserContext)
  console.log(user)

  let content
  if (!user || user.loading) content = <p>Please wait...</p>
  else if (user.error) content = <p>Error logging in.</p>
  else if (user.data?.currentUser) content = children
  else content = <LoginPage />

  return (
    <>
      <Meta />

      <Header />
      <AdminSideBar />
      <main>{content}</main>
      <Footer />

      <style jsx global>
        {GlobalStyle}
      </style>
    </>
  )
}

export default AdminPage
